Bug 838557 - vim aborts when inserting EOL
vim aborts when inserting EOL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 09:20 EDT by Roman Rakus
Modified: 2014-01-12 19:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-31 17:23:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb log with traceback (1.60 KB, text/plain)
2012-07-09 09:21 EDT, Roman Rakus
no flags Details
Compressed coredump file (27.89 MB, application/x-gzip)
2012-07-09 09:29 EDT, Roman Rakus
no flags Details
Source file on which the crash occurs (236 bytes, text/x-csrc)
2012-07-09 09:31 EDT, Roman Rakus
no flags Details

  None (edit)
Description Roman Rakus 2012-07-09 09:20:17 EDT
Description of problem:
While I'm inserting new line the vim aborts.

Version-Release number of selected component (if applicable):
vim-enhanced-7.3.556-1.fc17.x86_64

How reproducible:
Looks like 100% of time.

Steps to Reproduce:
1. I will provide file in which it is aborting
2. Go to the end of the 3rd line
3. Enter the editting mode
4. Hit enter
  
Actual results:
The crash:
$ vim aux_lu.c
Vim: Caught deadly signal ABRT
Vim: preserving files...
Vim: Finished.
Aborted

and the exit status is 134


Expected results:
inserts new line

Additional info:
Will attach traceback, core dump file and source file I'm edditing
Comment 1 Roman Rakus 2012-07-09 09:21:32 EDT
Created attachment 597073 [details]
gdb log with traceback

gdb log with traceback
Comment 2 Roman Rakus 2012-07-09 09:29:07 EDT
Created attachment 597075 [details]
Compressed coredump file

Compressed coredump file, obtained in gdb using generate-core-file
Comment 3 Roman Rakus 2012-07-09 09:31:08 EDT
Created attachment 597076 [details]
Source file on which the crash occurs

Steps to reproduce:
Go to the end of the 3rd line
Enter editing mode
Hit Enter to insert EOL
Comment 4 Roman Rakus 2012-07-09 09:40:23 EDT
OK, the reproducer is:
Write some C comments in C file, some kind of C-style coloring has to be enabled (just enough to start editing .c file)
Write initial comment:
/*

the vim will insert
 *
on the next line so it will looks like
/*
 *
end now hit the enter on the last line after the * and the vim will abort.
Comment 5 Fedora Update System 2012-08-28 10:15:41 EDT
vim-7.3.638-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/vim-7.3.638-2.fc17
Comment 6 Fedora Update System 2012-08-28 19:25:16 EDT
Package vim-7.3.638-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vim-7.3.638-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12869/vim-7.3.638-2.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-08-31 17:23:25 EDT
vim-7.3.638-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.